SitePoint Sponsor

User Tag List

Results 1 to 4 of 4
  1. #1
    SitePoint Zealot
    Join Date
    Nov 2000
    Posts
    164
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Do you need to have apache installed to run php 4. I have installed php 4. and I can't seem to get it to work.

    Please Help

  2. #2
    SitePoint Wizard
    Join Date
    Apr 2000
    Posts
    1,483
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    You need a web server, Apache is one of the more popular choices. You can download a windows version from http://apache.org

  3. #3
    midnight coder
    Join Date
    Dec 2000
    Location
    The flat edge of the world
    Posts
    838
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Here's a tutorial on how to get Apache and PHP4 up and running on Windows and non-Windows.

    http://hotwired.lycos.com/webmonkey/...tw=programming

    That page doesn't mention how to install PHP4 as a module though, which is recommanded.

    Although PHP4 will still work when not as a module, it's not as speedy, to get it as a module, do the following:

    Edit Apache's httpd.conf, add this line along with the rest of the LoadModule bit:
    LoadModule php4_module modules/mod_php4/sapi/php4apache.dll

    Add two Path to the Path-Enviroment

    c:\Apache\modules and
    c:\Apache\modules\mod_php4

    - In Windows NT/2k, just right click on MY COMPUTER and look for "ENVIRONMENT"
    - In Windows 9x, START-->RUN-->SYSEDIT, and modify the autoexec.bat to add these paths

    That's assuming that you're installing PHP4 at c:\Apache\modules\mod_php4


  4. #4
    SitePoint Zealot
    Join Date
    Nov 2000
    Posts
    164
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    i was able to set up the Apache server, I used PHPTriad, it installed the basic things I needed but now I am getting these 2 errors. And it is having trouble finding mysql.

    error1:
    The procedure entry point XML_ParserCreateNS could not be located in the dynamic link library xmlparse.dll

    error2:
    Unable to load dynamic library ',/extensions/php_sablot.dll' - The specified procdure could not be found.

    Thanks in advance.


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •